package com.yeejoin.amos.maintenance.common.enums;

public enum WorkFlowRiskFactorUriEnum {

    唤起流程("唤起流程", "/api/spcRiskFactor/flowCallBack", ""),
    检查结果推送("检查结果推送", "/api/protal/data", ""),
    隐患治理结果推送("隐患治理结果推送", "/api/protal/hiddentrouble", ""),
    等级查询("等级查询", "/api/spcRiskLevel/listselect", "");

    private String desc;

    private String uri;

    private String params;

    WorkFlowRiskFactorUriEnum(String desc, String uri, String params) {
        this.desc = desc;
        this.uri = uri;
        this.params = params;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }
}
